
%if 0%{?with_debug}
%global _dwz_low_mem_die_limit 0
%else
%global debug_package   %{nil}
%endif

%global golang_version 1.17
%global _buildhost build-ol%{?oraclelinux}-%{?_arch}.oracle.com

Name:                   conmon
Version:                2.1.3
Release:                3%{?dist}
Epoch:                  3
Summary:                An OCI container runtime monitor
License:                Apache-2.0
Url:                    https://github.com/containers/conmon
Source:                 %{name}-%{version}.tar.bz2
Vendor:                 Oracle America

BuildRequires:          git
BuildRequires:          gcc
BuildRequires:          make
BuildRequires:          glibc-static
BuildRequires:          glib2-devel
BuildRequires:          glibc-devel
BuildRequires:          libseccomp-devel
BuildRequires:          runc
BuildRequires:          pkgconfig
BuildRequires:		    golang >= %{golang_version}

%description
Conmon is a monitoring program and communication tool between a container manager (like podman or CRI-O) and an OCI runtime (like runc or crun) for a single container.

%prep
%setup -n %{name}-%{version}

%build
%{__make} bin/conmon

%install
%{__make} PREFIX=%{buildroot}%{_libexecdir}/crio BINDIR=%{buildroot}%{_libexecdir}/crio install
# OL8 version of podman doesn't know about /usr/libexec/crio/conmon
install -dp %{buildroot}%{_bindir}
ln -sf %{_libexecdir}/crio/%{name} %{buildroot}%{_bindir}/%{name}

%files
%license LICENSE THIRD_PARTY_LICENSES.txt
%{_libexecdir}/crio/share/man/man8/%{name}*.8
%attr(755,root,root) %{_libexecdir}/crio/%{name}
%{_bindir}/%{name}
%doc README.md

%clean
rm -fr %{buildroot}
rm -fr %{_builddir}/%{name}-%{version}

%changelog
* Tue Jun 06 2023 Michael Thompson <michael.a.thompson@oracle.com> - 2.1.3.3
- Add OL9 support

* Wed Dec 7 2022 Michael Thompson <michael.a.thompson@oracle.com> - 2.1.3.2
- Update inline with Linux team building conmon for all but OL7.

* Tue Jul 26 2022 Olcne-Builder Jenkins <olcne-builder_us@oracle.com> - 2.1.3-1
- Added build scripts
